|  | Home | Documentation | xenc__EncryptedType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
xenc__EncryptedType Struct Reference

Imported simpleType "http://www.w3.org/2001/04/xmlenc#":KeySizeType from typemap WS/WS-typemap.dat. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptedType:
[legend]

## Public Attributes

struct xenc__EncryptionMethodType * | EncryptionMethod
| Element EncryptionMethod of type "http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType.
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.
struct xenc__CipherDataType * | CipherData
| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.
struct xenc__EncryptionPropertiesType * | EncryptionProperties
| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.
char * | Id
| Attribute Id of type xs:ID.
char * | Type
| Attribute Type of type xs:anyURI.
char * | MimeType
| Attribute MimeType of type xs:string.
char * | Encoding
| Attribute Encoding of type xs:anyURI.

## Detailed Description

Imported simpleType "http://www.w3.org/2001/04/xmlenc#":KeySizeType from typemap WS/WS-typemap.dat.

"http://www.w3.org/2001/04/xmlenc#":EncryptedType is an abstract complexType.

## Member Data Documentation

## ◆ CipherData

struct xenc__CipherDataType* xenc__EncryptedType::CipherData

Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.

Required element.

## ◆ ds__KeyInfo

_ds__KeyInfo* xenc__EncryptedType::ds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.

Optional element.

## ◆ Encoding

char* xenc__EncryptedType::Encoding

Attribute Encoding of type xs:anyURI.

Optional attribute.

## ◆ EncryptionMethod

struct xenc__EncryptionMethodType* xenc__EncryptedType::EncryptionMethod

Element EncryptionMethod of type "http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType.

Optional element.

## ◆ EncryptionProperties

struct xenc__EncryptionPropertiesType* xenc__EncryptedType::EncryptionProperties

Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.

Optional element.

## ◆ Id

char* xenc__EncryptedType::Id

Attribute Id of type xs:ID.

Optional attribute.

## ◆ MimeType

char* xenc__EncryptedType::MimeType

Attribute MimeType of type xs:string.

Optional attribute.

## ◆ Type

char* xenc__EncryptedType::Type

Attribute Type of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- xenc.h